#!/usr/bin/perl

# asahi.com RSS 取得 + コンテンツ抽出サンプル

use strict;
use warnings;

use FindBin;
use lib $FindBin::Bin;
use ExtractUniqueBlock;

use Encode;
use LWP::Simple;

my $extractor = ExtractUniqueBlock->new();

my $xml = get('http://rss.asahi.com/f/asahi_newsheadlines');

while ($xml =~ m|<rdf:li rdf:resource="(http://www\.asahi\.com/[^\">]+)"/>|g) {
	sleep 5;

	my $html = get($1);

	$extractor->add_html($html, 'euc-jp');
}

my @contents = $extractor->extract()->html;

foreach my $content (@contents) {
	printf("%s\n---\n", Encode::encode_utf8($content));
}

exit 0;
