#!/usr/bin/perl

# ローカルディレクトリ指定 + コンテンツ抽出サンプル
# ./local_directory.pl DirectoryPath

use strict;
use warnings;

use FindBin;
use lib $FindBin::Bin;
use ExtractUniqueBlock;

use IO::Dir;

my $extractor = ExtractUniqueBlock->new();

my $dh = IO::Dir->new($ARGV[0]);

while (my $filename = $dh->read) {
	if ($filename =~ /\.html?$/) {
		my $file = sprintf("%s/%s", $ARGV[0], $filename);

		$extractor->add_file($file);
	}
}

my @contents = $extractor->extract()->html;

foreach my $content (@contents) {
	printf("%s\n---\n", Encode::encode_utf8($content));
}

exit 0;
